Create an ISO from a URL
curl --request POST \
--url https://api.cloud.onidel.com/isos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com/images/debian-12.iso",
"team_id": "96616865-475e-4191-aba5-f89f0a4b71fe"
}
'import requests
url = "https://api.cloud.onidel.com/isos"
payload = {
"url": "https://example.com/images/debian-12.iso",
"team_id": "96616865-475e-4191-aba5-f89f0a4b71fe"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://example.com/images/debian-12.iso',
team_id: '96616865-475e-4191-aba5-f89f0a4b71fe'
})
};
fetch('https://api.cloud.onidel.com/isos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Custom ISOs
Create an ISO from a URL
Register a custom ISO by URL. The file is downloaded asynchronously; poll the ISO’s status (download percent) until it reaches 100. Subject to the per-team ISO count and maximum file size limits.
POST
/
isos
Create an ISO from a URL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
ISO accepted; download started
⌘I